Read an individual Google Calendar event on a selected calendar
curl --request GET \
--url https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openworklabs.com/v1/capabilities/google-workspace/calendar-events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"calendarId": "<string>",
"event": {
"id": "<string>",
"status": "confirmed",
"summary": "<string>",
"description": "<string>",
"location": "<string>",
"start": {
"dateTime": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"end": {
"dateTime": "2023-11-07T05:31:56Z",
"timeZone": "<string>"
},
"htmlLink": "<string>",
"etag": "<string>",
"recurringEventId": "<string>",
"attendeesOmitted": true,
"attendees": [
{
"email": "<string>",
"displayName": "<string>",
"responseStatus": "<string>",
"optional": true
}
]
},
"sendUpdates": "none"
}{
"error": "invalid_request",
"details": [
{
"message": "<string>",
"path": [
"<string>"
]
}
],
"capability": "<string>"
}{
"error": "unauthorized"
}{
"error": "needs_connection",
"message": "<string>"
}{
"error": "invalid_request",
"message": "<string>"
}{
"error": "google_api_error",
"message": "<string>"
}Capability Sources
Read an individual Google Calendar event on a selected calendar
Uses the calling member’s selected Google account. Perform mutations only when explicitly requested; selecting or discovering a connector does not authorize a write. Do not automatically retry an uncertain mutation.
GET
/
v1
/
capabilities
/
google-workspace
/
calendar-events
/
{eventId}
Read an individual Google Calendar event on a selected calendar
Authorizations
bearerAuthdenApiKey
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Path Parameters
Required string length:
1 - 512Pattern:
^[A-Za-z0-9_-]+$Query Parameters
Required string length:
1 - 512Pattern:
^[^\s\x00-\x1f]+$Response
Google-confirmed result.
Show child attributes
Show child attributes
Notification policy. all/externalOnly requires confirmNotifications=true after explicit user approval. Google may still send some service emails with none.
Available options:
none, all, externalOnly Was this page helpful?